package org.n52.security.common.subject;

public class SubjectIdentifier {

	private String m_name;
	private String m_nameQualifier;
	private String m_format;

	public SubjectIdentifier() {

	}

	public SubjectIdentifier(String name) {
		this(name, "", "");
	}

	public SubjectIdentifier(String name, String nameQualifier, String format) {
		if (name == null || name.isEmpty()) {
			throw new IllegalArgumentException("Name must not be empty");
		}
		m_name = name;
		m_nameQualifier = nameQualifier == null ? "" : nameQualifier;
		m_format = format == null ? "" : format;
	}

	public String getName() {
		return m_name;
	}

	public String getNameQualifier() {
		return m_nameQualifier;
	}

	public String getFormat() {
		return m_format;
	}

	public void setName(String name) {
		m_name = name;
	}

	public void setNameQualifier(String nameQualifier) {
		m_nameQualifier = nameQualifier;
	}

	public void setFormat(String format) {
		m_format = format;
	}

}
